Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055833 - livecd-iso-to-disk causes denial with sysadm_r user
Summary: livecd-iso-to-disk causes denial with sysadm_r user
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 03:39 UTC by William Brown
Modified: 2015-06-29 14:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:37:01 UTC


Attachments (Terms of Use)

Description William Brown 2014-01-21 03:39:59 UTC
Description of problem:
Using the tool livecd-iso-to-disk --format --reset-mbr --efi, this denial was encountered. Note my user is in the sysadm_r domain with sudo in this instance.  

SELinux is preventing /usr/sbin/wipefs from write access on the blk_file sdd1.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that wipefs should be allowed write access on the sdd1 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wipefs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:sysadm_r:sysadm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                sdd1 [ blk_file ]
Source                        wipefs
Source Path                   /usr/sbin/wipefs
Port                          <Unknown>
Host                          strawberry
Source RPM Packages           syslinux-4.05-7.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-117.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     strawberry
Platform                      Linux strawberry
                              3.12.7-300.fc20.x86_64 #1 SMP Fri Jan 10 15:35:31
                              UTC 2014 x86_64 x86_64
Alert Count                   3
First Seen                    2014-01-21 09:44:08 CST
Last Seen                     2014-01-21 10:25:45 CST
Local ID                      6af8e39b-92ab-4804-bf2c-974c93a74a55

Raw Audit Messages
type=AVC msg=audit(1390262145.456:644): avc:  denied  { write } for  pid=27314 comm="syslinux" name="sdd1" dev="devtmpfs" ino=7908341 scontext=staff_u:sysadm_r:sysadm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file


type=SYSCALL msg=audit(1390262145.456:644): arch=x86_64 syscall=open success=yes exit=ESRCH a0=7fffcee1a681 a1=2 a2=40 a3=d items=0 ppid=24360 pid=27314 auid=1176360 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=1 tty=pts5 comm=syslinux exe=/usr/bin/syslinux subj=staff_u:sysadm_r:sysadm_t:s0-s0:c0.c1023 key=(null)

Hash: wipefs,sysadm_t,fixed_disk_device_t,blk_file,write

Comment 1 Fedora End Of Life 2015-05-29 10:35:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:37:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.